X500NameBuilder (Bouncy Castle Library 1.52 API Specification)
Date: 2015-03-01

org.bouncycastle.asn1.x500

## Class X500NameBuilder

- java.lang.Object
- - org.bouncycastle.asn1.x500.X500NameBuilder

-     public class X500NameBuilder
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `X500NameBuilder()`
    `X500NameBuilder(X500NameStyle template)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `X500NameBuilder` | `addMultiValuedRDN(ASN1ObjectIdentifier[] oids, ASN1Encodable[] values)`
    `X500NameBuilder` | `addMultiValuedRDN(ASN1ObjectIdentifier[] oids, java.lang.String[] values)`
    `X500NameBuilder` | `addMultiValuedRDN(AttributeTypeAndValue[] attrTAndVs)`
    `X500NameBuilder` | `addRDN(ASN1ObjectIdentifier oid, ASN1Encodable value)`
    `X500NameBuilder` | `addRDN(ASN1ObjectIdentifier oid, java.lang.String value)`
    `X500NameBuilder` | `addRDN(AttributeTypeAndValue attrTAndV)`
    `X500Name` | `build()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### X500NameBuilder

          public X500NameBuilder()

    - #### X500NameBuilder

          public X500NameBuilder(X500NameStyle template)

  - ### Method Detail

    - #### addRDN

          public X500NameBuilder addRDN(ASN1ObjectIdentifier oid,
                               java.lang.String value)

    - #### addRDN

          public X500NameBuilder addRDN(ASN1ObjectIdentifier oid,
                               ASN1Encodable value)

    - #### addRDN

          public X500NameBuilder addRDN(AttributeTypeAndValue attrTAndV)

    - #### addMultiValuedRDN

          public X500NameBuilder addMultiValuedRDN(ASN1ObjectIdentifier[] oids,
                                          java.lang.String[] values)

    - #### addMultiValuedRDN

          public X500NameBuilder addMultiValuedRDN(ASN1ObjectIdentifier[] oids,
                                          ASN1Encodable[] values)

    - #### addMultiValuedRDN

          public X500NameBuilder addMultiValuedRDN(AttributeTypeAndValue[] attrTAndVs)

    - #### build

          public X500Name build()